<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>
        <variable
            name="data"
            type="android.database.Observable" />
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        tools:context=".SocketActivity">
        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="55dp">
            <TextView

                style="@style/info_text"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_gravity="center"
                android:background="@color/blue"
                android:textSize="22sp"
                android:letterSpacing="0.2"
                android:text="轮胎扫描"
                android:textColor="@color/white"
                android:textStyle="bold" />
            <ImageView
                android:id="@+id/socket_title"
                android:layout_width="80dp"
                android:layout_height="match_parent"
                android:src="@mipmap/menu_click"
                android:padding="10dp"

                android:layout_gravity="right"/>
        </FrameLayout>



        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="55dp"
            android:layout_marginTop="20dp"
            android:orientation="horizontal">

            <TextView
                style="@style/info_text"
                android:layout_width="110dp"
                android:layout_height="match_parent"
                android:layout_gravity="center"
                android:text="RFID编码:" />

            <EditText
                android:id="@+id/socket_epc"
                style="@style/san_text"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_gravity="center" />
        </LinearLayout>

        <TextView
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1"
            android:layout_marginTop="20dp"
            android:text=""/>

        <Button
            android:id="@+id/socket_san"
            style="@style/button_style"
            android:layout_width="match_parent"
            android:layout_height="65dp"
            android:layout_margin="20dp"
            android:onClick="readRFID"
            android:text="扫描轮胎" />


    </LinearLayout>
</layout>